Packages - Bug #2245

paraview 5.6.0 does not work
2019-03-13 06:57 AM - nona

Status: fixed % Done: 0%
Priority: bug

Assignee: freemor

Category:

Description

QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-edgar'

qgt5ct: using qt5ct plugin

gtsct: D-Bus global menu: no

ERROR: In /build/paraview/src/ParaView-v5.6.0/VTK/Rendering/OpenGL2/vtkOpenGLRenderWindow.cxx, line 736
vtkGenericOpenGLRenderWindow (0x55d81¢188f60): GLEW could not be initialized.

ERROR: In /build/paraview/src/ParaView-v5.6.0/VTK/Rendering/OpenGL2/vtkShaderProgram.cxx, line 491
vtkShaderProgram (0x55d81ccb77e0): Shader object was not initialized, cannot attach it.

ERROR: In /build/paraview/src/ParaView-v5.6.0/VTK/Rendering/OpenGL2/vtkShaderProgram.cxx, line 446
vtkShaderProgram (0x55d81ccb77e0): 1: #version 150

| would vote to stop creating packages for paraview until it actually works. Does it work for someone else?

History

#1 - 2019-03-14 01:23 AM - freemor
- Status changed from unconfirmed to confirmed
nona wrote:

QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-edgar'

The above is a misconfiguration of your system
gt5ct: using qtbct plugin
qt5ct: D-Bus global menu: no
ERROR: In /build/paraview/src/ParaView-v5.6.0/VTK/Rendering/OpenGL2/vtkOpenGLRenderWindow.cxx, line 736
vtkGenericOpenGLRenderWindow (0x55d81¢188f60): GLEW could not be initialized.

ERROR: In /build/paraview/src/ParaView-v5.6.0/VTK/Rendering/OpenGL2/vtkShaderProgram.cxx, line 491
vtkShaderProgram (0x55d81ccb77e0): Shader object was not initialized, cannot attach it.

ERROR: In /build/paraview/src/ParaView-v5.6.0/VTK/Rendering/OpenGL2/vtkShaderProgram.cxx, line 446
vtkShaderProgram (0x55d81ccb77e0): 1: #version 150
Can confirm very similar errors

| would vote to stop creating packages for paraview until it actually works. Does it work for someone else?

We don't package paraview, Arch Does.

Trying a local build to check if it is some library difference between Parabola and Arch

#2 - 2019-03-14 11:10 AM - freemor

Local build did not help so probably not a library issue.

Digging through some of the error messages inside the app itself strongly indicates that my videocard or mesa isn't up to the specs it requires. It's
ascking for a version of openGL (3.3) well above what my system is offering. | suspect that this only works with very modern graphics cards. One of
its suggestion is to "use an older version of the program" So | suspect something in the recent versions requires capabilities | just don't have and ths

hard for me to test further.

That said the program is probably working "as expected" it just expects really modern hardware/openGL capabilities
#3 - 2019-03-14 12:00 PM - freemor

- Status changed from confirmed to info needed
So the question them becomes what GFX card and level/version of OpenGL are you running nona
#4 - 2019-03-14 08:13 PM - nona

freemor wrote:

So the question them becomes what GFX card and level/version of OpenGL are you running nona

How do | get openGL 3.3? Does it come with the hardware? how do | test it?

AMD Ryzen 2500 with Vega (decent). | tried downloading from archive.archlinux.org, and this happens with previous versions of paraview as well.
This is scientific software based on VTK. | can't imagine that one needs an ultra modern graphics card to use it.
Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] [1002:15dd] (rev c4) (prog-if 00 [VGA controller])
Subsystem: Hewlett-Packard Company Radeon Vega 8 Mobile [103c:83c6]

Control: I/0+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort+ <TAbort- <MAbort- >SERR- <PERR- INTx-
Interrupt: pin A routed to IRQ 41

Region 0: Memory at e0000000 (64-bit, prefetchable) [size=256M]

Region 2: Memory at f0000000 (64-bit, prefetchable) [size=2M]

Region 4: I/O ports at e000 [size=256]

Region 5: Memory at fe000000 (32-bit, non-prefetchable) [size=512K]

[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]

Capabilities: <access denied>
Kernel modules: amdgpu

#5 - 2019-03-14 08:22 PM - freemor
glxinfo -B
will give you most of what you need to know, like what level of L your card supports

There is a enviroment variable you can set to Force paraview if it isn't detecting your cards GL properly it is:

export MESA_GL_VERSION_OVERRIDE=
Where you'd set it to something like the value from glxinfo or some other sane value.
#6 - 2019-03-14 08:39 PM - freemor

GLX/GLES stuff really isn't my wheelhouse.

Possible places to get better help. The paraview website seems to have a fiar bit of documentation (its where | found the environment variable for the
GL level)

Or Upstream.. the person that packaged should have made sure it worked. thus should understand what it needs
Or if there is a paraview irc channel that might be a good place.
#7 - 2019-03-15 04:36 PM - nona
freemor wrote:
glxinfo -B
will give you most of what you need to know, like what level of L your card supports

There is a enviroment variable you can set to Force paraview if it isn't detecting your cards GL properly it is:

(-]

Where you'd set it to something like the value from glxinfo or some other sane value.

Thank you!
name of display: :0
display: :0 screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer) :
Vendor: VMware, Inc. (Oxffffffff)
Device: llvmpipe (LLVM 7.0, 128 bits) (Oxffffffff)
Version: 18.3.4
Accelerated: no
Video memory: 7742MB
Unified memory: no
Preferred profile: core (0x1l)
Max core profile version: 3.3
Max compat profile version: 3.
Max GLES1 profile version: 1.1
Max GLES[23] profile version: 3.0
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 7.0, 128 bits)

1

OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.3.4
OpenGL core profile shading language version string: 3.30

OpenGL core profile context flags: (none)

OpenGL core profile profile mask: core profile

OpenGL version string: 3.1 Mesa 18.3.4

OpenGL shading language version string: 1.40

OpenGL context flags: (none)

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.3.4
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00

| get the same errors, nonetheless.
#8 - 2019-03-15 04:36 PM - nona
freemor wrote:
GLX/GLES stuff really isn't my wheelhouse.

Possible places to get better help. The paraview website seems to have a fiar bit of documentation (its where | found the environment variable
for the GL level)

Or Upstream.. the person that packaged should have made sure it worked. thus should understand what it needs

Or if there is a paraview irc channel that might be a good place.

Thanks, | will try.

#9 - 2019-03-21 07:06 PM - nona

After a full system reinstall (I don't know if that helped), this is solved.

paraview-5.6.0-5-x86_64.pkg.tar.xz

#10 - 2019-04-14 01:29 AM - freemor

- Assignee set to freemor

#11 - 2019-04-14 01:30 AM - freemor

- Status changed from info needed to fixed

OP says issue is resolved so closing
